# Class StatementStatus

java.lang.Object
com.databricks.jdbc.model.core.StatementStatus

public class StatementStatus extends Object

## Constructor Summary

Constructors
Constructor
Description
`StatementStatus()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`com.databricks.sdk.service.sql.ServiceError`
`getError()`
`String`
`getSqlState()`
`com.databricks.sdk.service.sql.StatementState`
`getState()`
`int`
`hashCode()`
`StatementStatus`
`setError(com.databricks.sdk.service.sql.ServiceError error)`
`StatementStatus`
`setSqlState(String sqlState)`
`StatementStatus`
`setState(com.databricks.sdk.service.sql.StatementState state)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StatementStatus

public StatementStatus()

## Method Details

### setError

public StatementStatus setError(com.databricks.sdk.service.sql.ServiceError error)

### getError

public com.databricks.sdk.service.sql.ServiceError getError()

### setState

public StatementStatus setState(com.databricks.sdk.service.sql.StatementState state)

### getState

public com.databricks.sdk.service.sql.StatementState getState()

### setSqlState

public StatementStatus setSqlState(String sqlState)

### getSqlState

public String getSqlState()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`